org.apache.felix.http.cometd.internal

## Class CometdConfig

- java.lang.Object
- - org.apache.felix.http.cometd.internal.CometdConfig

    public final class CometdConfig
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CometdConfig(org.osgi.framework.BundleContext context)`

### Method Summary

Methods
`java.lang.String` `getPath()`
`void` `reset()`
`void` `update(java.util.Dictionary props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CometdConfig

    public CometdConfig(org.osgi.framework.BundleContext context)

### Method Detail

#### getPath

    public java.lang.String getPath()

#### reset

    public void reset()

#### update

    public void update(java.util.Dictionary props)